import defaultMessages from 'ember-changeset-validations/utils/messages';
import 'ember-intl/services/intl';
import application from '../utils/application.js';

// @ts-expect-error No TS yet
const intl = application.instance?.lookup('service:intl');
const messages = {};
Object.keys(defaultMessages).forEach(key => {
  const customMessage = intl.getTranslation(`validations.${key}`, intl.primaryLocale ?? '');
  const defaultMessage = defaultMessages[key];
  messages[key] = customMessage ?? defaultMessage;
});

export { messages as default };
//# sourceMappingURL=messages.js.map
